Package ru.bitel.bgbilling.common.bean

# Class Request

java.lang.Object
ru.bitel.bgbilling.common.bean.Request

All Implemented Interfaces:
  `Cloneable`

public class Request extends Object implements Cloneable

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `Request()`
  `protected`
  `Request(Map<String,Object> data)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAll(Map<String,Object> params)`
  `void`
  `addDirectory(String key)`
  `void`
  `addModel(bitel.billing.common.ModelItem item)`
  `void`
  `clear()`
  `Object`
  `clone()`
  `Object`
  `getValue(String key)`
  `boolean`
  `isSendServerURL()`
  `Set<String>`
  `keys()`
  `Request`
  `setAction(String value)`
  `Request`
  `setAttribute(String name, boolean value)`
  `Request`
  `setAttribute(String name, int value)`
  `Request`
  `setAttribute(String name, long value)`
  `Request`
  `setAttribute(String name, Object value)`
  `Request`
  `setAttribute(String name, String value)`
  `Request`
  `setContractId(int value)`
  `Request`
  `setContractId(String value)`
  `Request`
  `setModule(String value)`
  `Request`
  `setModuleId(int value)`
  `Request`
  `setModuleId(String value)`
  `Request`
  `setPage(ru.bitel.bgbilling.client.common.BGControlPanelPages panelPages)`
  Естанавливает номер страницы и её размер в реквест, вынесено из обратной функции - "заполнение реквеста в панели страниц", ибо ей тут правильнее находиться.
  `Request`
  `setPageIndex(int pageIndex)`
  `Request`
  `setPageSize(int pageSize)`
  `Request`
  `setPeriod(Period period)`
  `Request`
  `setPeriod(PeriodWithTime period)`
  `void`
  `setSendServerURL(boolean value)`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Request

    public Request()

  - ### Request

    protected Request(Map<String,Object> data)

- ## Method Details

  - ### setSendServerURL

    public void setSendServerURL(boolean value)

  - ### isSendServerURL

    public boolean isSendServerURL()

  - ### setModule

    public Request setModule(String value)

  - ### setAction

    public Request setAction(String value)

  - ### setModuleId

    public Request setModuleId(String value)

  - ### setModuleId

    public Request setModuleId(int value)

  - ### setContractId

    public Request setContractId(String value)

  - ### setContractId

    public Request setContractId(int value)

  - ### setPageIndex

    public Request setPageIndex(int pageIndex)

  - ### setPageSize

    public Request setPageSize(int pageSize)

  - ### setPage

    public Request setPage(ru.bitel.bgbilling.client.common.BGControlPanelPages panelPages)
    Естанавливает номер страницы и её размер в реквест, вынесено из обратной функции - "заполнение реквеста в панели страниц", ибо ей тут правильнее находиться. Заодно решены несколько других мелких полезностей. Можно, конечно, передавать сюда Page, которую получить из панели, для строгости ООП.
    Parameters:
      `panelPages` - панель.

  - ### setPeriod

    public Request setPeriod(Period period)

  - ### setPeriod

    public Request setPeriod(PeriodWithTime period)

  - ### setAttribute

    public Request setAttribute(String name, Object value)

  - ### setAttribute

    public Request setAttribute(String name, String value)

  - ### setAttribute

    public Request setAttribute(String name, long value)

  - ### setAttribute

    public Request setAttribute(String name, int value)

  - ### setAttribute

    public Request setAttribute(String name, boolean value)

  - ### clear

    public void clear()

  - ### getValue

    public Object getValue(String key)

  - ### keys

    public Set<String> keys()

  - ### clone

    public Object clone()
    Overrides:
      `clone` in class `Object`

  - ### addAll

    public void addAll(Map<String,Object> params)

  - ### addDirectory

    public void addDirectory(String key)

  - ### addModel

    public void addModel(bitel.billing.common.ModelItem item)